Subject: bug#37911: Cannot build a system with colord-service.

From: Ludovic Courtès <[email-masked]>
Date: Fri, 25 Oct 2019 23:05:39 +0200

Hello,

Jack Hill <[email-masked]> skribis:

> On Thu, 24 Oct 2019, Pierre Langlois wrote:
>
>> In gnome's settings it tells me that there are no devices that can be
>> colour managed, I had assumed that was because colord was missing from
>> the config but that's probably not it. Is it working for other people?
>> If so it's probably just my hardware (ThinkPad x220).
>
> I think it is not able to manage devices because the Argyll CMS
> dependency [0] is missing in Guix. Unfortunately, it seems to also
> depend on the discontinued Jam build tool [1], so there is a little
> bit of work to be done.
>
> [0] https://argyllcms.com/
> [1] https://www.perforce.com/documentation/jam-documentation
>
> I did spot another issue with colord since the recent core-updates
> merge: https://issues.guix.gnu.org/issue/37843 It seems like it is no
> longer being started automatically via dbus?

Indeed, stracing dbus-daemon while going to the GNOME settings panel,
“Color” tag, I see:

--8<---------------cut here---------------start------------->8---
459   sendmsg(48, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\3\1\1\213\0\0\0\3\0\0\0m\0\0\0\6\1s\0\5\0\0\0:1.95\0\0\0\4\1s\0'\0\0\0org.freedesktop.DBus.Error.AccessDenied\0\5\1u\0\2\0\0\0\10\1g\0\1s\0\0\7\1s\0\24\0\0\0org.freedesktop.DBus\0\0\0\0", iov_len=128}, {iov_base="\206\0\0\0Connection \":1.95\" is not allowed to own the service \"org.freedesktop.ColorManager\" due to security policies in the configuration file\0", iov_len=139}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL <unfinished ...>
--8<---------------cut here---------------end--------------->8---

So something somewhere is unhappy.

I diff’d the ‘org.freedesktop.color.policy’ files of colord 1.4.3 and
1.4.4 and there are no functional differences.

Ludo’.